Bug 129059 - Telnet seg faults when trying to connect to a host that has only an AAAA record
Telnet seg faults when trying to connect to a host that has only an AAAA record
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-03 12:46 EDT by Brian Bruns
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 19:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Bruns 2004-08-03 12:46:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031016 K-Meleon/0.8.2

Description of problem:
Telnet seg faults when trying to connect to a hostname that has only
an AAAA record, and not a A or CNAME.  However, connecting to a
hostname that has both A and AAAA records works normally.

Version-Release number of selected component (if applicable):
telnet-0.17-30

How reproducible:
Always

Steps to Reproduce:
1. 'telnet' to everest.ipv6.sosdg.org or negation.ipv6.unixnetwork.net
(use port 22 or 25)


Actual Results:  [root@everest ~]# telnet everest.ipv6.sosdg.org 25
Segmentation fault


Expected Results:  Should have opened a connection and displayed the
SMTP banner, or whatever the host on the other end was programmed to
send on connect.

Additional info:

glibc-2.3.3-39, kernel 2.6.7


Example hostnames to use:

AAAA only records: everest.ipv6.sosdg.org, negation.ipv6.unixnetwork.net
A/AAAA records: mail.sosdg.org
Comment 1 Harald Hoyer 2004-08-16 06:12:36 EDT
please provide the output of:

$ which telnet
Comment 2 Brian Bruns 2004-08-16 17:26:39 EDT
[root@everest ~]# which telnet
/usr/kerberos/bin/telnet


Part of the krb5-workstation-1.3.4-2 package.  Definately not the
telnet I thought I was using (aka /usr/bin/telnet).
Comment 3 Brian Bruns 2004-08-16 17:29:55 EDT
Oops, hit send too fast.

meant to add that /usr/bin/telnet works ok as expected.

[root@everest ~]# /usr/bin/telnet everest.ipv6.sosdg.org 22
Trying 2001:618:400:b725::1...
Connected to everest.ipv6.sosdg.org.
Escape character is '^]'.
SSH-1.99-OpenSSH_3.8.1p1
Comment 4 Brian Bruns 2004-08-29 22:10:08 EDT
This bug probably needs to be assigned to both the krb5 and regular
telnet version.

[root@everest ~]# /usr/bin/telnet negation.ipv6.unixnetwork.net 22
Segmentation fault

It does not do it when you telnet to everest.ipv6.sosdg.org, just when
you do negation.ipv6.unixnetwork.net.  Both records in the nameserver
are done in the same way (I did them at the same time).

Package version is:
telnet-0.17-30


Let me know if any Fedora/RH developers need access to one of the dev
boxes for debugging, and I will let you know how to gain access.
Comment 5 Nalin Dahyabhai 2004-11-01 19:27:22 EST
Bundled apps seem to be checking for errors from gethostbyname_r incorrectly. 
Fixing in 1.3.5-1.

Note You need to log in before you can comment on or make changes to this bug.